[arch-commits] Commit in python-matplotlib/repos (8 files)
Lukas Fleischer
lfleischer at archlinux.org
Mon Aug 15 10:48:49 UTC 2016
Date: Monday, August 15, 2016 @ 10:48:48
Author: lfleischer
Revision: 186779
archrelease: copy trunk to community-testing-i686, community-testing-x86_64
Added:
python-matplotlib/repos/community-testing-i686/
python-matplotlib/repos/community-testing-i686/PKGBUILD
(from rev 186778, python-matplotlib/trunk/PKGBUILD)
python-matplotlib/repos/community-testing-i686/fix-for-pyqt5.7-support.patch
(from rev 186778, python-matplotlib/trunk/fix-for-pyqt5.7-support.patch)
python-matplotlib/repos/community-testing-i686/setup.cfg
(from rev 186778, python-matplotlib/trunk/setup.cfg)
python-matplotlib/repos/community-testing-x86_64/
python-matplotlib/repos/community-testing-x86_64/PKGBUILD
(from rev 186778, python-matplotlib/trunk/PKGBUILD)
python-matplotlib/repos/community-testing-x86_64/fix-for-pyqt5.7-support.patch
(from rev 186778, python-matplotlib/trunk/fix-for-pyqt5.7-support.patch)
python-matplotlib/repos/community-testing-x86_64/setup.cfg
(from rev 186778, python-matplotlib/trunk/setup.cfg)
--------------------------------------------------------+
community-testing-i686/PKGBUILD | 135 +++++++++++++++
community-testing-i686/fix-for-pyqt5.7-support.patch | 52 +++++
community-testing-i686/setup.cfg | 4
community-testing-x86_64/PKGBUILD | 135 +++++++++++++++
community-testing-x86_64/fix-for-pyqt5.7-support.patch | 52 +++++
community-testing-x86_64/setup.cfg | 4
6 files changed, 382 insertions(+)
Copied: python-matplotlib/repos/community-testing-i686/PKGBUILD (from rev 186778, python-matplotlib/trunk/PKGBUILD)
===================================================================
--- community-testing-i686/PKGBUILD (rev 0)
+++ community-testing-i686/PKGBUILD 2016-08-15 10:48:48 UTC (rev 186779)
@@ -0,0 +1,135 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
+# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
+# Contributor: Douglas Soares de Andrade <dsa at aur.archlinux.org>
+
+pkgbase=python-matplotlib
+pkgname=('python2-matplotlib' 'python-matplotlib')
+pkgver=1.5.2
+pkgrel=2
+pkgdesc="A python plotting library, making publication quality plots"
+arch=('i686' 'x86_64')
+url='http://matplotlib.org'
+license=('custom')
+checkdepends=('python-nose' 'python2-nose' 'python-mock' 'python2-mock' 'xorg-server-xvfb'
+ 'texlive-core' 'texlive-latexextra' 'imagemagick' 'ffmpeg' 'mencoder' 'inkscape'
+ 'python-pandas' 'python2-pandas')
+makedepends=('python2-pytz' 'python2-numpy' 'python2-pyqt4' 'python-pytz' 'python-numpy'
+ 'python-pyqt4' 'tk' 'python-cairocffi' 'python2-cairocffi' 'python-dateutil'
+ 'python2-dateutil' 'python-gobject' 'python2-gobject' 'python-pyparsing'
+ 'python2-pyparsing' 'pygtk' 'python-six' 'ghostscript' 'texlive-bin'
+ 'python-tornado' 'python2-tornado' 'gtk3' 'wxpython' 'python-pyqt5' 'python2-pyqt5'
+ 'libxkbcommon-x11' 'python-pillow' 'python2-pillow' 'python-setuptools'
+ 'python2-setuptools' 'python-cycler' 'python2-cycler')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/matplotlib/matplotlib/archive/v$pkgver.tar.gz"
+ fix-for-pyqt5.7-support.patch
+ setup.cfg)
+sha512sums=('7d4688665273d30a08edf0cf2414cf0c05c619335f72b190c6ea125687e74cafe6133b7f3b6588e969c931ec8f970593d44654766205e6cc19f760925826a7e3'
+ '050158feaa5a72f2153a71fea7f42b3f0b37c68d3f1bf96cb7118dc2ff7e54337d25efa5118eaae707697db763b12a074392b807e79b29b704ae11b19d0f3bf2'
+ '493a08914755d7d27d98025fc309f19cc3ec45e777fc81a56fa50430f90c0b39c2f66c2a01f6fd14a2e351005151365a25d2ab71ae2e80a54c6f57ceeacea35b')
+
+prepare() {
+ # Fix PyQt 5.7 support (FS#50266).
+ cd "$srcdir"/matplotlib-${pkgver}
+ patch -p1 -i ../fix-for-pyqt5.7-support.patch
+
+ cp -a "$srcdir"/matplotlib-${pkgver}{,-py2}
+
+ cd "$srcdir"/matplotlib-${pkgver}
+ for file in $(find . -name '*.py' -print); do
+ sed -i -e "s|^#!.*/usr/bin/python|#!/usr/bin/python3|" \
+ -e "s|^#!.*/usr/bin/env *python|#!/usr/bin/env python3|" ${file}
+ done
+
+ cd "$srcdir"/matplotlib-${pkgver}-py2
+ for file in $(find . -name '*.py' -print); do
+ sed -i -e "s|^#!.*/usr/bin/python|#!/usr/bin/python2|" \
+ -e "s|^#!.*/usr/bin/env *python|#!/usr/bin/env python2|" ${file}
+ done
+
+ cp -a "$srcdir"/matplotlib-${pkgver}{,-test}
+ cp -a "$srcdir"/matplotlib-${pkgver}-py2{,-test}
+
+ # Remove tests (FS#48175)
+ cp "$srcdir/setup.cfg" "$srcdir"/matplotlib-$pkgver/
+ cp "$srcdir/setup.cfg" "$srcdir"/matplotlib-$pkgver-py2/
+}
+
+build() {
+ # this seems to need to be present or gtk/gdk dies
+ # and hangs the build checking if gtk3cairo is installed
+ export XDG_RUNTIME_DIR=/tmp
+
+ cd "$srcdir"/matplotlib-${pkgver}
+ python3 setup.py build
+
+ cd "$srcdir"/matplotlib-${pkgver}-py2
+ python2 setup.py build
+}
+
+check() {
+ cd "$srcdir"/matplotlib-${pkgver}-test
+ python3 setup.py build
+
+ cd "$srcdir"/matplotlib-${pkgver}-py2-test
+ python2 setup.py build
+
+ cd "$srcdir"/matplotlib-${pkgver}-test
+ (
+ export PYTHONPATH="$PWD/build/lib.linux-$CARCH-3.5:$PYTHONPATH"
+ python -c "from matplotlib import font_manager"
+ rm -rf ../tmp_test_dir && mkdir ../tmp_test_dir && cd ../tmp_test_dir
+ xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
+ python ../matplotlib-${pkgver}/tests.py -sv --processes=8 --process-timeout=300 || warning "Tests failed"
+ )
+
+ cd "$srcdir"/matplotlib-${pkgver}-py2-test
+ (
+ export PYTHONPATH="$PWD/build/lib.linux-$CARCH-2.7:$PYTHONPATH"
+ python2 -c "from matplotlib import font_manager"
+ rm -rf ../tmp_test_dir && mkdir ../tmp_test_dir && cd ../tmp_test_dir
+ xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
+ python2 ../matplotlib-${pkgver}-py2/tests.py -sv --processes=8 --process-timeout=300 || warning "Tests failed"
+ )
+}
+
+package_python2-matplotlib() {
+ depends=('python2-pytz' 'python2-numpy' 'python2-pyqt5' 'python2-dateutil' 'python2-pyparsing' 'python2-cycler' 'libxkbcommon-x11')
+ optdepends=('pygtk: for GTK/GTKAgg/GTKCairo backend'
+ 'python2-cairo: for GTKCairo/GTK3Cairo backend'
+ 'python2-cairocffi: for GTKCairo/GTK3Cairo backend (alternative to python2-cairo)'
+ 'python2-pyqt4: for Qt4Agg backend'
+ 'tk: used by the TkAgg backend'
+ 'ghostscript: usetex dependencies'
+ 'texlive-bin: usetex dependencies'
+ 'python2-tornado: for webagg backend'
+ 'python2-gobject: for GTK3Agg/GTK3Cairo backend'
+ 'wxpython: for WX/WXAgg backend'
+ 'python2-pillow: for reading/saving .jpg/bmp/tiff files')
+
+ cd matplotlib-${pkgver}-py2
+ python2 setup.py install -O1 --skip-build --root "${pkgdir}" --prefix=/usr
+
+ install -dm755 "${pkgdir}"/usr/share/licenses/python2-matplotlib
+ install -m 644 doc/users/license.rst "${pkgdir}"/usr/share/licenses/python2-matplotlib
+}
+
+package_python-matplotlib() {
+ depends=('python-pytz' 'python-numpy' 'python-pyqt5' 'python-dateutil' 'python-pyparsing' 'python-cycler' 'libxkbcommon-x11')
+ optdepends=('python-gobject: for GTK3Agg/GTK3Cairo backend'
+ 'python-cairocffi: for GTK3Agg/GTK3Cairo backend'
+ 'python-pyqt4: for Qt4Agg backend'
+ 'tk: used by the TkAgg backend'
+ 'ghostscript: usetex dependencies'
+ 'texlive-bin: usetex dependencies'
+ 'python-tornado: for webagg backend'
+ 'python-pillow: for reading/saving .jpg/bmp/tiff files')
+
+ cd matplotlib-${pkgver}
+ python3 setup.py install -O1 --skip-build --root "${pkgdir}" --prefix=/usr
+
+ install -dm755 "${pkgdir}"/usr/share/licenses/python-matplotlib
+ install -m 644 doc/users/license.rst "${pkgdir}"/usr/share/licenses/python-matplotlib
+}
Copied: python-matplotlib/repos/community-testing-i686/fix-for-pyqt5.7-support.patch (from rev 186778, python-matplotlib/trunk/fix-for-pyqt5.7-support.patch)
===================================================================
--- community-testing-i686/fix-for-pyqt5.7-support.patch (rev 0)
+++ community-testing-i686/fix-for-pyqt5.7-support.patch 2016-08-15 10:48:48 UTC (rev 186779)
@@ -0,0 +1,52 @@
+From 655c513a5e5440014677ee5afb08b0efa39f8e16 Mon Sep 17 00:00:00 2001
+From: Antony Lee <anntzer.lee at gmail.com>
+Date: Thu, 28 Jul 2016 19:26:02 -0700
+Subject: [PATCH] Fix for PyQt5.7 support.
+
+Just getting rid of a slot with an incorrect signature (for which
+PyQt5.7 is more strict).
+
+Tested on PyQt5.6.1 and 5.7, PyQt4.11.4, PySide 1.2.4.
+---
+ lib/matplotlib/backends/backend_qt5.py | 14 +++++---------
+ 1 file changed, 5 insertions(+), 9 deletions(-)
+
+diff --git a/lib/matplotlib/backends/backend_qt5.py b/lib/matplotlib/backends/backend_qt5.py
+index 876eb36..81a80b2 100644
+--- a/lib/matplotlib/backends/backend_qt5.py
++++ b/lib/matplotlib/backends/backend_qt5.py
+@@ -474,18 +474,18 @@ def __init__(self, canvas, num):
+
+ self.window._destroying = False
+
++ # add text label to status bar
++ self.statusbar_label = QtWidgets.QLabel()
++ self.window.statusBar().addWidget(self.statusbar_label)
++
+ self.toolbar = self._get_toolbar(self.canvas, self.window)
+ if self.toolbar is not None:
+ self.window.addToolBar(self.toolbar)
+- self.toolbar.message.connect(self._show_message)
++ self.toolbar.message.connect(self.statusbar_label.setText)
+ tbs_height = self.toolbar.sizeHint().height()
+ else:
+ tbs_height = 0
+
+- # add text label to status bar
+- self.statusbar_label = QtWidgets.QLabel()
+- self.window.statusBar().addWidget(self.statusbar_label)
+-
+ # resize the main window so it will display the canvas with the
+ # requested size:
+ cs = canvas.sizeHint()
+@@ -507,10 +507,6 @@ def notify_axes_change(fig):
+ self.canvas.figure.add_axobserver(notify_axes_change)
+ self.window.raise_()
+
+- @QtCore.Slot()
+- def _show_message(self, s):
+- self.statusbar_label.setText(s)
+-
+ def full_screen_toggle(self):
+ if self.window.isFullScreen():
+ self.window.showNormal()
Copied: python-matplotlib/repos/community-testing-i686/setup.cfg (from rev 186778, python-matplotlib/trunk/setup.cfg)
===================================================================
--- community-testing-i686/setup.cfg (rev 0)
+++ community-testing-i686/setup.cfg 2016-08-15 10:48:48 UTC (rev 186779)
@@ -0,0 +1,4 @@
+[packages]
+tests = False
+sample_data = False
+toolkits = True
Copied: python-matplotlib/repos/community-testing-x86_64/PKGBUILD (from rev 186778, python-matplotlib/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD (rev 0)
+++ community-testing-x86_64/PKGBUILD 2016-08-15 10:48:48 UTC (rev 186779)
@@ -0,0 +1,135 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
+# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
+# Contributor: Douglas Soares de Andrade <dsa at aur.archlinux.org>
+
+pkgbase=python-matplotlib
+pkgname=('python2-matplotlib' 'python-matplotlib')
+pkgver=1.5.2
+pkgrel=2
+pkgdesc="A python plotting library, making publication quality plots"
+arch=('i686' 'x86_64')
+url='http://matplotlib.org'
+license=('custom')
+checkdepends=('python-nose' 'python2-nose' 'python-mock' 'python2-mock' 'xorg-server-xvfb'
+ 'texlive-core' 'texlive-latexextra' 'imagemagick' 'ffmpeg' 'mencoder' 'inkscape'
+ 'python-pandas' 'python2-pandas')
+makedepends=('python2-pytz' 'python2-numpy' 'python2-pyqt4' 'python-pytz' 'python-numpy'
+ 'python-pyqt4' 'tk' 'python-cairocffi' 'python2-cairocffi' 'python-dateutil'
+ 'python2-dateutil' 'python-gobject' 'python2-gobject' 'python-pyparsing'
+ 'python2-pyparsing' 'pygtk' 'python-six' 'ghostscript' 'texlive-bin'
+ 'python-tornado' 'python2-tornado' 'gtk3' 'wxpython' 'python-pyqt5' 'python2-pyqt5'
+ 'libxkbcommon-x11' 'python-pillow' 'python2-pillow' 'python-setuptools'
+ 'python2-setuptools' 'python-cycler' 'python2-cycler')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/matplotlib/matplotlib/archive/v$pkgver.tar.gz"
+ fix-for-pyqt5.7-support.patch
+ setup.cfg)
+sha512sums=('7d4688665273d30a08edf0cf2414cf0c05c619335f72b190c6ea125687e74cafe6133b7f3b6588e969c931ec8f970593d44654766205e6cc19f760925826a7e3'
+ '050158feaa5a72f2153a71fea7f42b3f0b37c68d3f1bf96cb7118dc2ff7e54337d25efa5118eaae707697db763b12a074392b807e79b29b704ae11b19d0f3bf2'
+ '493a08914755d7d27d98025fc309f19cc3ec45e777fc81a56fa50430f90c0b39c2f66c2a01f6fd14a2e351005151365a25d2ab71ae2e80a54c6f57ceeacea35b')
+
+prepare() {
+ # Fix PyQt 5.7 support (FS#50266).
+ cd "$srcdir"/matplotlib-${pkgver}
+ patch -p1 -i ../fix-for-pyqt5.7-support.patch
+
+ cp -a "$srcdir"/matplotlib-${pkgver}{,-py2}
+
+ cd "$srcdir"/matplotlib-${pkgver}
+ for file in $(find . -name '*.py' -print); do
+ sed -i -e "s|^#!.*/usr/bin/python|#!/usr/bin/python3|" \
+ -e "s|^#!.*/usr/bin/env *python|#!/usr/bin/env python3|" ${file}
+ done
+
+ cd "$srcdir"/matplotlib-${pkgver}-py2
+ for file in $(find . -name '*.py' -print); do
+ sed -i -e "s|^#!.*/usr/bin/python|#!/usr/bin/python2|" \
+ -e "s|^#!.*/usr/bin/env *python|#!/usr/bin/env python2|" ${file}
+ done
+
+ cp -a "$srcdir"/matplotlib-${pkgver}{,-test}
+ cp -a "$srcdir"/matplotlib-${pkgver}-py2{,-test}
+
+ # Remove tests (FS#48175)
+ cp "$srcdir/setup.cfg" "$srcdir"/matplotlib-$pkgver/
+ cp "$srcdir/setup.cfg" "$srcdir"/matplotlib-$pkgver-py2/
+}
+
+build() {
+ # this seems to need to be present or gtk/gdk dies
+ # and hangs the build checking if gtk3cairo is installed
+ export XDG_RUNTIME_DIR=/tmp
+
+ cd "$srcdir"/matplotlib-${pkgver}
+ python3 setup.py build
+
+ cd "$srcdir"/matplotlib-${pkgver}-py2
+ python2 setup.py build
+}
+
+check() {
+ cd "$srcdir"/matplotlib-${pkgver}-test
+ python3 setup.py build
+
+ cd "$srcdir"/matplotlib-${pkgver}-py2-test
+ python2 setup.py build
+
+ cd "$srcdir"/matplotlib-${pkgver}-test
+ (
+ export PYTHONPATH="$PWD/build/lib.linux-$CARCH-3.5:$PYTHONPATH"
+ python -c "from matplotlib import font_manager"
+ rm -rf ../tmp_test_dir && mkdir ../tmp_test_dir && cd ../tmp_test_dir
+ xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
+ python ../matplotlib-${pkgver}/tests.py -sv --processes=8 --process-timeout=300 || warning "Tests failed"
+ )
+
+ cd "$srcdir"/matplotlib-${pkgver}-py2-test
+ (
+ export PYTHONPATH="$PWD/build/lib.linux-$CARCH-2.7:$PYTHONPATH"
+ python2 -c "from matplotlib import font_manager"
+ rm -rf ../tmp_test_dir && mkdir ../tmp_test_dir && cd ../tmp_test_dir
+ xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
+ python2 ../matplotlib-${pkgver}-py2/tests.py -sv --processes=8 --process-timeout=300 || warning "Tests failed"
+ )
+}
+
+package_python2-matplotlib() {
+ depends=('python2-pytz' 'python2-numpy' 'python2-pyqt5' 'python2-dateutil' 'python2-pyparsing' 'python2-cycler' 'libxkbcommon-x11')
+ optdepends=('pygtk: for GTK/GTKAgg/GTKCairo backend'
+ 'python2-cairo: for GTKCairo/GTK3Cairo backend'
+ 'python2-cairocffi: for GTKCairo/GTK3Cairo backend (alternative to python2-cairo)'
+ 'python2-pyqt4: for Qt4Agg backend'
+ 'tk: used by the TkAgg backend'
+ 'ghostscript: usetex dependencies'
+ 'texlive-bin: usetex dependencies'
+ 'python2-tornado: for webagg backend'
+ 'python2-gobject: for GTK3Agg/GTK3Cairo backend'
+ 'wxpython: for WX/WXAgg backend'
+ 'python2-pillow: for reading/saving .jpg/bmp/tiff files')
+
+ cd matplotlib-${pkgver}-py2
+ python2 setup.py install -O1 --skip-build --root "${pkgdir}" --prefix=/usr
+
+ install -dm755 "${pkgdir}"/usr/share/licenses/python2-matplotlib
+ install -m 644 doc/users/license.rst "${pkgdir}"/usr/share/licenses/python2-matplotlib
+}
+
+package_python-matplotlib() {
+ depends=('python-pytz' 'python-numpy' 'python-pyqt5' 'python-dateutil' 'python-pyparsing' 'python-cycler' 'libxkbcommon-x11')
+ optdepends=('python-gobject: for GTK3Agg/GTK3Cairo backend'
+ 'python-cairocffi: for GTK3Agg/GTK3Cairo backend'
+ 'python-pyqt4: for Qt4Agg backend'
+ 'tk: used by the TkAgg backend'
+ 'ghostscript: usetex dependencies'
+ 'texlive-bin: usetex dependencies'
+ 'python-tornado: for webagg backend'
+ 'python-pillow: for reading/saving .jpg/bmp/tiff files')
+
+ cd matplotlib-${pkgver}
+ python3 setup.py install -O1 --skip-build --root "${pkgdir}" --prefix=/usr
+
+ install -dm755 "${pkgdir}"/usr/share/licenses/python-matplotlib
+ install -m 644 doc/users/license.rst "${pkgdir}"/usr/share/licenses/python-matplotlib
+}
Copied: python-matplotlib/repos/community-testing-x86_64/fix-for-pyqt5.7-support.patch (from rev 186778, python-matplotlib/trunk/fix-for-pyqt5.7-support.patch)
===================================================================
--- community-testing-x86_64/fix-for-pyqt5.7-support.patch (rev 0)
+++ community-testing-x86_64/fix-for-pyqt5.7-support.patch 2016-08-15 10:48:48 UTC (rev 186779)
@@ -0,0 +1,52 @@
+From 655c513a5e5440014677ee5afb08b0efa39f8e16 Mon Sep 17 00:00:00 2001
+From: Antony Lee <anntzer.lee at gmail.com>
+Date: Thu, 28 Jul 2016 19:26:02 -0700
+Subject: [PATCH] Fix for PyQt5.7 support.
+
+Just getting rid of a slot with an incorrect signature (for which
+PyQt5.7 is more strict).
+
+Tested on PyQt5.6.1 and 5.7, PyQt4.11.4, PySide 1.2.4.
+---
+ lib/matplotlib/backends/backend_qt5.py | 14 +++++---------
+ 1 file changed, 5 insertions(+), 9 deletions(-)
+
+diff --git a/lib/matplotlib/backends/backend_qt5.py b/lib/matplotlib/backends/backend_qt5.py
+index 876eb36..81a80b2 100644
+--- a/lib/matplotlib/backends/backend_qt5.py
++++ b/lib/matplotlib/backends/backend_qt5.py
+@@ -474,18 +474,18 @@ def __init__(self, canvas, num):
+
+ self.window._destroying = False
+
++ # add text label to status bar
++ self.statusbar_label = QtWidgets.QLabel()
++ self.window.statusBar().addWidget(self.statusbar_label)
++
+ self.toolbar = self._get_toolbar(self.canvas, self.window)
+ if self.toolbar is not None:
+ self.window.addToolBar(self.toolbar)
+- self.toolbar.message.connect(self._show_message)
++ self.toolbar.message.connect(self.statusbar_label.setText)
+ tbs_height = self.toolbar.sizeHint().height()
+ else:
+ tbs_height = 0
+
+- # add text label to status bar
+- self.statusbar_label = QtWidgets.QLabel()
+- self.window.statusBar().addWidget(self.statusbar_label)
+-
+ # resize the main window so it will display the canvas with the
+ # requested size:
+ cs = canvas.sizeHint()
+@@ -507,10 +507,6 @@ def notify_axes_change(fig):
+ self.canvas.figure.add_axobserver(notify_axes_change)
+ self.window.raise_()
+
+- @QtCore.Slot()
+- def _show_message(self, s):
+- self.statusbar_label.setText(s)
+-
+ def full_screen_toggle(self):
+ if self.window.isFullScreen():
+ self.window.showNormal()
Copied: python-matplotlib/repos/community-testing-x86_64/setup.cfg (from rev 186778, python-matplotlib/trunk/setup.cfg)
===================================================================
--- community-testing-x86_64/setup.cfg (rev 0)
+++ community-testing-x86_64/setup.cfg 2016-08-15 10:48:48 UTC (rev 186779)
@@ -0,0 +1,4 @@
+[packages]
+tests = False
+sample_data = False
+toolkits = True
More information about the arch-commits
mailing list